Public Member Functions | Private Attributes

# ErrmsgWindow Struct Reference

Window class for displaying an error message window. More...

Inheritance diagram for ErrmsgWindow:

## Public Member Functions
| ErrmsgWindow (const ErrorMessageData &data)
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
virtual Point | OnInitialPosition (int16 sm_width, int16 sm_height, int window_number)
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
virtual void | SetStringParameters (int widget) const
virtual void | DrawWidget (const Rect &r, int widget) const
virtual void | OnMouseLoop ()
virtual void | OnHundredthTick ()
virtual EventState | OnKeyPress (WChar key, uint16 keycode)
bool | IsCritical ()
| Check whether the currently shown error message was critical or not.
## Private Attributes
uint | height_summary
| Height of the summary_msg string in pixels in the WID_EM_MESSAGE widget.
uint | height_detailed
| Height of the detailed_msg string in pixels in the WID_EM_MESSAGE widget.

## Detailed Description

Window class for displaying an error message window.

Definition at line 170 of file error_gui.cpp.

## Member Function Documentation

bool ErrmsgWindow::IsCritical | ( |  | ) | `[inline]`

Check whether the currently shown error message was critical or not.

Returns:
  True iff the message was critical.

Definition at line 316 of file error_gui.cpp.

References ErrorMessageData::duration.

Referenced by ShowErrorMessage(), and UnshowCriticalError().

virtual void ErrmsgWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | Information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Definition at line 236 of file error_gui.cpp.

References ErrorMessageData::face, INVALID_COMPANY, and Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::IsValidID().

The documentation for this struct was generated from the following file:

- src/error_gui.cpp